import React from "react";

interface ActionBoxProps {
  title: string;
  description: string;
  children?: React.ReactNode;
  className?: string;
}

export const ActionBox: React.FC<ActionBoxProps> = ({
  title,
  description,
  children,
  className,
}) => {
  return (
    <div
      className={`flex gap-4 flex-col not-prose sm:flex-row sm:justify-between sm:items-center bg-grey-200 px-5 sm:px-6 py-8 my-8 ${
        className || ""
      }`}
    >
      <div className="flex-1">
        <h3 className="font-plex text-2xl font-bold text-grey-900">{title}</h3>
        <p className="font-plex font-normal text-grey-900 text-sm mt-2">
          {description}
        </p>
      </div>
      {children && (
        <div className="flex sm:justify-end gap-2 sm:gap-3 mt-6 sm:mt-0">
          {children}
        </div>
      )}
    </div>
  );
};
