import React from "react";
import LogoHorizontalColorBlack from "@assets/images/fchh_logo_linear_col_dark.svg";
import LogoHorizontalColorWhite from "@assets/images/fchh_logo_linear_col_white.svg";
import LogoHorizontalMonotoneBlack from "@assets/images/fchh_logo_linear_dark.svg";
import LogoHorizontalMonotoneWhite from "@assets/images/fchh_logo_linear_white.svg";

interface FabCityHamburgLogoProps {
  lightColor?: boolean;
  monotone?: boolean;
  vertical?: boolean;
  alt?: string;
  className?: string;
}

const handleLogoType = (lightColor?: boolean, monotone?: boolean): string => {
  let logo = "";
  switch (true) {
    case monotone && lightColor:
      logo = LogoHorizontalMonotoneWhite;
      break;
    case monotone && !lightColor:
      logo = LogoHorizontalMonotoneBlack;
      break;
    case !monotone && lightColor:
      logo = LogoHorizontalColorWhite;
      break;
    case !monotone && !lightColor:
      logo = LogoHorizontalColorBlack;
  }
  return logo;
};

export const FabCityHamburgLogo: React.FC<FabCityHamburgLogoProps> = ({
  lightColor,
  monotone,
  alt = "Fab City Hamburg",
  className,
}) => {
  const commonLogoClasses = "h-auto object-contain";
  const logoSrc = handleLogoType(lightColor, monotone);

  return (
    <img
      className={`${commonLogoClasses} ${className || ""}`}
      alt={alt}
      src={logoSrc}
    />
  );
};
