import React, { useContext } from "react";
import { LinkContext } from "@contexts/LinkContext";

interface LinkProps {
  to?: string;
  children: React.ReactNode;
  [restProp: string]: unknown;
}

export const Link: React.FC<LinkProps> = ({ to, children, ...rest }) => {
  const { linkRenderFn } = useContext(LinkContext);
  return to ? linkRenderFn(children, to, rest) : <>{children}</>;
};
