import * as React from "react";
import { TopBar } from "@components/TopBar";
import { ITopBarItem } from "@interfaces/IHeader";
import type { Story } from "@ladle/react";

const TOPBAR_ITEMS: ITopBarItem[] = [
  {
    title: "Fab City Hamburg",
    children: [
      {
        title: "FCHH Association",
        target: "/",
        children: [
          {
            title: "L3 Item 1",
            target: "/",
          },
          {
            title: "L3 Item 2",
            target: "/",
          },
          {
            title: "L3 Item 3",
            target: "/",
          },
          {
            title: "L3 Item 4",
            target: "/",
          },
          {
            title: "L3 Item 5",
            target: "/",
          },
        ],
      },
      {
        title: "Hamburg 2054",
        target: "/",
      },
      {
        title: "Members",
        target: "/",
        children: [
          {
            title: "L3 Item 1",
            target: "/",
          },
          {
            title: "L3 Item 2",
            target: "/",
          },
          {
            title: "L3 Item 3",
            target: "/",
          },
          {
            title: "L3 Item 4",
            target: "/",
          },
        ],
      },
      {
        title: "Career",
        target: "/",
      },
      {
        title: "Blog",
        target: "/",
        children: [
          {
            title: "L3 Item 1",
            target: "/",
          },
          {
            title: "L3 Item 2",
            target: "/",
          },
          {
            title: "L3 Item 3",
            target: "/",
          },
          {
            title: "L3 Item 4",
            target: "/",
          },
        ],
      },
    ],
  },
  {
    title: "Network",
    children: [
      {
        title: "Map",
        target: "/",
      },
      {
        title: "Fab Labs",
        target: "/",
      },
      {
        title: "Unternehmen",
        target: "/",
      },
      {
        title: "Community",
        target: "/",
        children: [
          {
            title: "L3 Item 1",
            target: "/",
          },
          {
            title: "L3 Item 2",
            target: "/",
          },
          {
            title: "L3 Item 3",
            target: "/",
          },
          {
            title: "L3 Item 4",
            target: "/",
          },
        ],
      },
      {
        title: "Fab City Global",
        target: "/",
      },
    ],
  },
  {
    title: "Projects",
    children: [
      {
        title: "Kalender",
        target: "/",
      },
      {
        title: "Workshops",
        target: "/",
        children: [
          {
            title: "L3 Item 1",
            target: "/",
          },
          {
            title: "L3 Item 2",
            target: "/",
          },
          {
            title: "L3 Item 3",
            target: "/",
          },
          {
            title: "L3 Item 4",
            target: "/",
          },
        ],
      },
      {
        title: "Prototype Session",
        target: "/",
      },
      {
        title: "Fab Friday",
        target: "/",
      },
      {
        title: "Maker Challenge 2022",
        target: "/",
      },
    ],
  },
  {
    title: "Research",
    children: [
      {
        title: "Fab City OS",
        target: "/",
      },
      {
        title: "Open Lab Starter Kit",
        target: "/",
        children: [
          {
            title: "L3 Item 1",
            target: "/",
          },
          {
            title: "L3 Item 2",
            target: "/",
          },
          {
            title: "L3 Item 3",
            target: "/",
          },
          {
            title: "L3 Item 4",
            target: "/",
          },
        ],
      },
      {
        title: "FarmBot Hamburg",
        target: "/",
        children: [
          {
            title: "L3 Item 1",
            target: "/",
          },
          {
            title: "L3 Item 2",
            target: "/",
          },
          {
            title: "L3 Item 3",
            target: "/",
          },
          {
            title: "L3 Item 4",
            target: "/",
          },
          {
            title: "L3 Item 5",
            target: "/",
          },
        ],
      },
      {
        title: "Fab City Incubator",
        target: "/",
      },
      {
        title: "Fab City Index",
        target: "/",
      },
    ],
  },
  {
    title: "Contact",
    target: "/contact",
  },
];

interface TopBarConfigProps {
  hideSearchIcon: boolean;
}

/* eslint-disable react/prop-types */
export const TopBarStory: Story<TopBarConfigProps> = ({ hideSearchIcon }) => (
  <TopBar hideSearchIcon={hideSearchIcon} items={TOPBAR_ITEMS} />
);

export default {
  title: "Molecules",
};
TopBarStory.args = {
  hideSearchIcon: false,
};

TopBarStory.storyName = "Top Bar";
